/// <reference types="node" />
import { Buffer } from 'buffer';
import { FieldDescription } from '@cerc-io/nitro-util';
import { Destination } from '../../../types/destination';
export declare enum AllocationType {
    NormalAllocationType = 0,
    GuaranteeAllocationType = 1
}
export declare class Allocation {
    destination: Destination;
    amount?: bigint;
    allocationType: AllocationType;
    metadata: Buffer | null;
    static jsonEncodingMap: Record<string, FieldDescription>;
    static fromJSON(data: string): Allocation;
    toJSON(): any;
    constructor(params: {
        destination?: Destination;
        amount?: bigint;
        allocationType?: AllocationType;
        metadata?: Buffer | null;
    });
    equal(b: Allocation): boolean;
    clone(): Allocation;
}
export declare class Allocations {
    value: Allocation[] | null;
    static fromJSON(data: string): Allocations;
    toJSON(): any;
    constructor(value?: Allocation[] | null);
    equal(b: Allocations): boolean;
    clone(): Allocations;
    total(): bigint;
    totalFor(dest: Destination): bigint;
    affords(given: Allocation, funding?: bigint): boolean;
    divertToGuarantee(leftDestination: Destination, rightDestination: Destination, leftAmount: bigint | undefined, rightAmount: bigint | undefined, guaranteeDestination: Destination): Allocations;
}
