/// <reference types="node" />
import { Buffer } from 'buffer';
import { FieldDescription } from '@cerc-io/nitro-util';
import { Destination } from '../../../types/destination';
import { Address } from '../../../types/types';
import { Funds } from '../../../types/funds';
import { Allocation, Allocations } from './allocation';
type AssetType = number;
export type AssetMetadata = {
    assetType: AssetType;
    metadata: Buffer | null;
};
export declare class SingleAssetExit {
    asset: Address;
    assetMetadata: AssetMetadata;
    allocations: Allocations;
    static jsonEncodingMap: Record<string, FieldDescription>;
    static fromJSON(data: string): SingleAssetExit;
    toJSON(): any;
    constructor(params: {
        asset?: Address;
        assetMetadata?: AssetMetadata;
        allocations?: Allocations;
    });
    equal(r: SingleAssetExit): boolean;
    clone(): SingleAssetExit;
    totalAllocated(): bigint;
    totalAllocatedFor(dest: Destination): bigint;
    depositSafetyThreshold(interest: Destination): bigint;
}
type EasyExit = Map<Address, SingleAssetExit>;
export declare class Exit {
    value: SingleAssetExit[] | null;
    static fromJSON(data: string): Exit;
    toJSON(): any;
    constructor(value?: SingleAssetExit[] | null);
    equal(b: Exit): boolean;
    clone(): Exit;
    totalAllocated(): Funds;
    totalAllocatedFor(dest: Destination): Funds;
    depositSafetyThreshold(interest: Destination): Funds;
    toEasyExit(): EasyExit;
    affords(allocationMap: Map<Address, Allocation>, fundingMap: Funds): boolean;
}
export {};
