/// <reference types="node" />
import { ethers } from 'ethers';
import { Buffer } from 'buffer';
import { FieldDescription, NitroSigner } from '@cerc-io/nitro-util';
export type Signature = {
    r: Buffer | null;
    s: Buffer | null;
    v: number;
};
export declare const signatureJsonEncodingMap: Record<string, FieldDescription>;
export declare const signEthereumMessage: (message: Buffer, signer: NitroSigner) => Promise<Signature>;
export declare const recoverEthereumMessageSigner: (message: Buffer, signature: Signature) => string;
export declare const equal: (s1: Signature, s2: Signature) => boolean;
export declare const getSignatureFromEthersSignature: (sig: ethers.Signature) => Signature;
