import { RegistryType } from 'promjs';
import { Gauge } from 'promjs/gauge';
import { Address } from '../../types/types';
import { ObjectiveId } from '../../protocols/messages';
export interface MetricsApi {
    recordPoint(name: string, value: number): void;
    timer(name: string): Gauge;
    guage(name: string): Gauge;
}
export declare class NoOpMetrics implements MetricsApi {
    timer(name: string): Gauge;
    recordPoint(name: string, value: number): void;
    guage(name: string): Gauge;
}
export interface GetMetricsString {
    metrics: string;
}
export interface GetMetrics {
    [key: string]: number;
}
export declare class Metrics implements MetricsApi {
    registry?: RegistryType;
    constructor();
    timer(name: string): Gauge;
    recordPoint(name: string, value: number): void;
    guage(name: string): Gauge;
    getMetricsString(): GetMetricsString;
    getMetrics(): GetMetrics;
}
export declare class MetricsRecorder {
    me: Address;
    startTimes: Map<ObjectiveId, Date>;
    metrics?: MetricsApi;
    constructor(params: {
        me: Address;
        startTimes?: Map<ObjectiveId, Date>;
        metrics: MetricsApi;
    });
    static newMetricsRecorder(me: Address, metrics: MetricsApi): MetricsRecorder;
    recordFunctionDuration(name: string): () => void;
    recordObjectiveStarted(id: ObjectiveId): void;
    recordObjectiveCompleted(id: ObjectiveId): void;
    recordQueueLength(name: string, queueLength: number): void;
    private addMyAddress;
}
