import { NitroSigner } from '@cerc-io/nitro-util';
import { Store } from './store';
import { Objective } from '../../../protocols/interfaces';
import { Channel } from '../../../channel/channel';
import { ConsensusChannel } from '../../../channel/consensus-channel/consensus-channel';
import { VoucherInfo } from '../../../payments/vouchers';
import { ObjectiveId } from '../../../protocols/messages';
import { Address } from '../../../types/types';
import { Destination } from '../../../types/destination';
export declare class DurableStore implements Store {
    private objectives?;
    private channels?;
    private consensusChannels?;
    private channelToObjective?;
    private vouchers?;
    private signer?;
    private address;
    private location;
    private db?;
    static newDurableStore(signer: NitroSigner, location: string): Promise<Store>;
    private openDB;
    close(): Promise<void>;
    getAddress(): Address;
    getChannelSigner(): NitroSigner;
    getObjectiveById(id: ObjectiveId): Promise<Objective>;
    setObjective(obj: Objective): Promise<void>;
    setChannel(ch: Channel): Promise<void>;
    destroyChannel(id: Destination): Promise<void>;
    setConsensusChannel(ch: ConsensusChannel): Promise<void>;
    destroyConsensusChannel(id: Destination): Promise<void>;
    getChannelById(id: Destination): Promise<[Channel, boolean]>;
    private _getChannelById;
    getChannelsByIds(ids: Destination[]): Promise<Channel[]>;
    getChannelsByAppDefinition(appDef: Address): Promise<Channel[]>;
    getChannelsByParticipant(participant: Address): Promise<Channel[]>;
    getConsensusChannelById(id: Destination): Promise<ConsensusChannel>;
    getConsensusChannel(counterparty: Address): Promise<[ConsensusChannel | undefined, boolean]>;
    getAllConsensusChannels(): Promise<ConsensusChannel[]>;
    getObjectiveByChannelId(channelId: Destination): Promise<[Objective | undefined, boolean]>;
    populateChannelData(obj: Objective): Promise<void>;
    releaseChannelFromOwnership(channelId: Destination): Promise<void>;
    setVoucherInfo(channelId: Destination, v: VoucherInfo): void;
    getVoucherInfo(channelId: Destination): Promise<[VoucherInfo | undefined, boolean]>;
    removeVoucherInfo(channelId: Destination): Promise<void>;
}
