import { NitroSigner } from '@cerc-io/nitro-util';
import { Objective } from '../../../protocols/interfaces';
import { Channel } from '../../../channel/channel';
import { ConsensusChannel } from '../../../channel/consensus-channel/consensus-channel';
import { VoucherStore } from '../../../payments/voucher-manager';
import { Address } from '../../../types/types';
import { Destination } from '../../../types/destination';
import { ObjectiveId } from '../../../protocols/messages';
export declare const ErrNoSuchObjective: Error;
export declare const ErrNoSuchChannel: Error;
export interface Store extends ConsensusChannelStore, VoucherStore {
    getChannelSigner(): NitroSigner;
    getAddress(): Address;
    getObjectiveById(id: ObjectiveId): Objective | Promise<Objective>;
    getObjectiveByChannelId(channelId: Destination): [Objective | undefined, boolean] | Promise<[Objective | undefined, boolean]>;
    setObjective(obj: Objective): void | Promise<void>;
    getChannelsByIds(ids: Destination[]): Channel[] | Promise<Channel[]>;
    getChannelById(id: Destination): [Channel, boolean] | Promise<[Channel, boolean]>;
    getChannelsByParticipant(participant: Address): Channel[] | Promise<Channel[]>;
    setChannel(ch: Channel): void | Promise<void>;
    destroyChannel(id: Destination): void | Promise<void>;
    getChannelsByAppDefinition(appDef: Address): Channel[] | Promise<Channel[]>;
    releaseChannelFromOwnership(channelId: Destination): void | Promise<void>;
    close(): void | Promise<void>;
}
export interface ConsensusChannelStore {
    getAllConsensusChannels(): ConsensusChannel[] | Promise<ConsensusChannel[]>;
    getConsensusChannel(counterparty: Address): [ConsensusChannel | undefined, boolean] | Promise<[ConsensusChannel | undefined, boolean]>;
    getConsensusChannelById(id: Destination): ConsensusChannel | Promise<ConsensusChannel>;
    setConsensusChannel(ch: ConsensusChannel): void | Promise<void>;
    destroyConsensusChannel(id: Destination): void | Promise<void>;
}
