import { VoucherManager } from '../../payments/voucher-manager';
import { Store } from '../engine/store/store';
import { PaymentChannelListeners, LedgerChannelListeners } from './listeners';
import { SafeSyncMap } from '../../internal/safesync/safesync';
import { LedgerChannelInfo, PaymentChannelInfo } from '../query/types';
export declare class ChannelNotifier {
    private ledgerListeners?;
    private paymentListeners?;
    private store?;
    private vm?;
    constructor(params: {
        ledgerListeners: SafeSyncMap<LedgerChannelListeners>;
        paymentListeners: SafeSyncMap<PaymentChannelListeners>;
        store: Store;
        vm: VoucherManager;
    });
    static newChannelNotifier(store: Store, vm: VoucherManager): ChannelNotifier;
    notifyLedgerUpdated(info: LedgerChannelInfo): void;
    notifyPaymentUpdated(info: PaymentChannelInfo): void;
    close(): void;
}
