import { Channel } from '../../channel/channel';
import { VoucherManager } from '../../payments/voucher-manager';
import { Destination } from '../../types/destination';
import { Address } from '../../types/types';
import { LedgerChannelInfo, PaymentChannelInfo } from './types';
import { ConsensusChannel } from '../../channel/consensus-channel/consensus-channel';
import { Store } from '../engine/store/store';
export declare const getVoucherBalance: (id: Destination, vm: VoucherManager) => Promise<[
    bigint | undefined,
    bigint | undefined
]>;
export declare const constructPaymentInfo: (c: Channel, paid?: bigint, remaining?: bigint) => PaymentChannelInfo;
export declare const getPaymentChannelInfo: (id: Destination, store: Store, vm: VoucherManager) => Promise<PaymentChannelInfo>;
export declare const constructLedgerInfoFromConsensus: (con: ConsensusChannel) => LedgerChannelInfo;
export declare const constructLedgerInfoFromChannel: (c: Channel) => LedgerChannelInfo;
export declare const getAllLedgerChannels: (store: Store, consensusAppDefinition: Address) => Promise<LedgerChannelInfo[]>;
export declare const getPaymentChannelsByLedger: (ledgerId: Destination, s: Store, vm: VoucherManager) => Promise<PaymentChannelInfo[]>;
export declare const getLedgerChannelInfo: (id: Destination, store: Store) => Promise<LedgerChannelInfo>;
