import { NitroSigner } from '@cerc-io/nitro-util';
import { Destination } from '../types/destination';
import { Address } from '../types/types';
import { Voucher, VoucherInfo } from './vouchers';
export interface VoucherStore {
    setVoucherInfo(channelId: Destination, v: VoucherInfo): void;
    getVoucherInfo(channelId: Destination): [VoucherInfo | undefined, boolean] | Promise<[VoucherInfo | undefined, boolean]>;
    removeVoucherInfo(channelId: Destination): void;
}
export declare class VoucherManager {
    private store;
    private me;
    constructor(me: string, store: VoucherStore);
    static newVoucherManager(me: Address, store: VoucherStore): VoucherManager;
    register(channelId: Destination, payer: string, payee: string, startingBalance?: bigint): Promise<void>;
    remove(channelId: Destination): void;
    pay(channelId: Destination, amount: bigint | undefined, signer: NitroSigner): Promise<Voucher>;
    receive(voucher: Voucher): Promise<bigint | undefined>;
    channelRegistered(channelId: Destination): Promise<boolean>;
    paid(chanId: Destination): Promise<bigint | undefined>;
    remaining(chanId: Destination): Promise<bigint | undefined>;
}
