import { Bytes32 } from '@statechannels/nitro-protocol';
import { FieldDescription, NitroSigner } from '@cerc-io/nitro-util';
import { Signature } from '../channel/state/state';
import { Address } from '../types/types';
import { Destination } from '../types/destination';
export declare class Voucher {
    channelId: Destination;
    amount?: bigint;
    signature: Signature;
    static jsonEncodingMap: Record<string, FieldDescription>;
    static fromJSON(data: string): Voucher;
    toJSON(): any;
    constructor(params: {
        channelId?: Destination;
        amount?: bigint;
        signature?: Signature;
    });
    hash(): Bytes32;
    sign(signer: NitroSigner): Promise<void>;
    recoverSigner(): Address;
    equal(other: Voucher): boolean;
}
export declare class VoucherInfo {
    channelPayer: Address;
    channelPayee: Address;
    startingBalance?: bigint;
    largestVoucher: Voucher;
    static jsonEncodingMap: Record<string, FieldDescription>;
    static fromJSON(data: string): VoucherInfo;
    toJSON(): any;
    constructor(params: {
        channelPayer?: Address;
        channelPayee?: Address;
        startingBalance?: bigint;
        largestVoucher?: Voucher;
    });
    paid(): bigint | undefined;
    remaining(): bigint | undefined;
}
